<div *ngIf="loaderService.isLoading | async" class="spinner_container">
  <mat-spinner style="top: 50%; left: 50%;"></mat-spinner>
</div>

<mat-drawer-container class="example-container" autosize>
  <mat-drawer #drawer class="example-sidenav" mode="side" opened>
    <ul class="sidebar_buttons_list">
      <!--      <li><a class="sidebar_button" routerLink="/" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-plus-circle"></i>PO Screen Creation</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-laptop"></i>Product Screen</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="far fa-building"></i>Procurement Sheet</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-coins"></i>Landed Cost Sheet</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-dollar-sign"></i>Costing Sheet New</a>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-dollar-sign"></i>Costing Sheet</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-money-check"></i>PO Screen</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-envelope"></i>Email Scheduler</a></li>-->
      <!--      <li><a class="sidebar_button" routerLink="#" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"  mat-flat-button><i class="fas fa-file-alt"></i>All PO Docs</a></li>-->
      <li><a class="sidebar_button" [routerLink]="['quickOrder']" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-flat-button><i class="fas fa-laptop"></i>Quick order</a></li>
      <li><a class="sidebar_button" [routerLink]="['helpdesk']" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"  mat-flat-button><i class="fas fa-file-alt"></i>Helpdesk</a></li>
      <li><a class="sidebar_button" mat-flat-button (click)="showFiller = !showFiller"><i class="fas fa-align-justify"></i>Reports</a></li>
      <li *ngIf="showFiller">
        <ul class="sidebar_reports_list">
          <li *ngFor="let report of enumReportsKeys">
            <a class="sidebar_reports_button" [routerLink]="['reports', reports[report]]" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" mat-button>
              <i class="fas fa-chevron-right"></i>{{report}}
            </a>
          </li>
        </ul>
      </li>
    </ul>
  </mat-drawer>
  <div class="example-sidenav-content">
    <button class="menu_btn" type="button" mat-stroked-button (click)="drawer.toggle()">Menu</button>
  </div>
  <router-outlet></router-outlet>
</mat-drawer-container>



